\section{Conclusions}

This project studied how convolutional neural networks can be used to perform
artistic styling in images. The style transfer network theoretical background
has been summarized, its implementation has been explained, and tests have been
performed. The key learnings we extract are:

\begin{itemize}
    \item The shallower the layer, the more low-level the extracted features
    are, and therefore the output will show more specific or more generic
    details of the content or style image.

    \item More than one style layer will output smoother results due to
    multiscale computation.

    \item The style image quality has bigger impact in the output than the
    content image quality.
\end{itemize}

The intuition we can extract from our experience with different content and
styles images is that pattern like style images lead to nicer results as well
as highly contrasted content images.
